#!/usr/bin/wish -f
#bind all <F1> {context_help %W}
source beeb.lib
setupFrame b

Menu File
Menu "Step by step"
Menu "Stand alone"
Menu Dictionaries
Menu "Make and Send"

Menu Options
Menu "For user"
Menu Translate
Menu Help

menuCommand   File "Open Config" {puts "o_congf"}
menuCommand   File "Save Config" {puts "s_congf"}
menuSeparator File
menuCommand   File Export {puts "export"}
menuCommand   File Import {puts "import"}
menuCommand   File Sinchronise {puts "Sinchronese"}

menuSeparator File
menuCommand   File Start {puts "start"}
menuCommand   File Stop {puts "stop"}
menuSeparator File
menuCommand   File Exit { exit }

menuCommand   "Step by step" "full pre-tests" {puts "pre-tests"} 
menuSeparator "Step by step"
menuRadio     "Step by step" basic      sts  basic        {puts "basic"} 
menuRadio     "Step by step" standard   sts  standard     {puts "standard"}
menuRadio     "Step by step" accelerated sts acceleratied {puts "acceleratied"}
menuRadio     "Step by step" advanced sts    advanced     {puts "acceleratied"}
menuSeparator "Step by step"
menuCommand   "Step by step" "Your frequent  errors" { puts "YFE"}
menuCommand   "Step by step" "All of your errors" { puts "AoYE"}
menuSeparator "Step by step"
menuCommand   "Step by step" "Let's go" { l1 0000003 }
set sts basic

menuCommand "Stand alone" Alphabets { puts "Alphabets"}
menuCommand "Stand alone" Phonetics { puts "Phonetics"}

MenuCascade "Stand alone" Grammars
menuCommand Grammars Morphology {puts "Morphology"}
menuCommand Grammars Syntax     {puts "Syntax"}
menuCommand Grammars Tables     {puts "Tables"}
menuSeparator Grammars
menuCommand Grammars Inversia    {puts "Inversia"}

menuCommand "Stand alone" Topics { puts "Topics"}

MenuCascade "Stand alone" Games
MenuCascade Games Hangman
level Hangman
MenuCascade Games "Make words"
level "Make words"
MenuCascade   Games Crosswords 
level Crosswords
MenuCascade   Games Scrabble
level Scrabble

MenuCascade   "Stand alone" Words
MenuCascade  Words "First level"
menuCommand "First level" Input { puts LFI }
menuCommand "First level" Study { puts LFSt }
menuCommand "First level" Chek  { puts LFChek }

MenuCascade  Words "Second level"
menuCommand "Second level" Input { puts LSI }
menuCommand "Second level" Study { puts LSt }
menuCommand "Second level" Chek  { puts LSChek }

MenuCascade Words "Third level"
menuCommand "Third level" Input { puts LSI }
menuCommand "Third level" Study { puts LSt }
menuCommand "Third level" Chek  { puts LSChek }

menuSeparator Words

MenuCascade   Words "Iregular verbs"
menuCommand   "Iregular verbs" Input { iverb iverb }
menuCommand   "Iregular verbs" Study { stiv  stiv }
menuCommand   "Iregular verbs" Chek  { ckiv  ckiv }

menuSeparator Words
menuCommand   Words "by Subjects" { puts "BSubj" }
menuCommand   Words "by Lessons"  { puts "BLesson" }
menuCommand   Words "byTopiks"   { puts "BTopik" }
menuSeparator Words
menuCommand   Words "Add your own dictionary" { puts "YoD" }

MenuCascade "Stand alone" Text
menuCommand Text Easy   {puts TEasy  }
menuCommand Text Normal {puts TNormal}
menuCommand Text Heavy  {puts THeavy }

menuCommand "Stand alone" "Idiomes"       { puts "Idiomes"}
menuCommand "Stand alone" "Sleng"         { puts "Slang"}
menuCommand "Stand alone" "Quotations"    { puts "Quotations"}
menuCommand "Stand alone" "Dialogues"     { puts "Dialogues"}
menuCommand "Stand alone" "For Kids"      { puts "fKids"}
menuCommand "Stand alone" "Merry Nursery Rhymes" { puts "MNR"}
menuCommand "Stand alone" Humour {puts "Humour"}

MenuCascade "Stand alone" Translation 
menuCommand Translation "Sentens by sentens" {puts SbS}
menuCommand Translation "Paragraph" {puts Paragraph}
menuCommand Translation "Mini text" {puts MTx}

menuSeparator "Stand alone"
menuCommand   "Stand alone" "Briticismes" { puts "British"}
menuCommand   "Stand alone" "Americanism" { puts "US"}
menuSeparator "Stand alone"
menuCommand   "Stand alone" "Frequently made mistakes" { puts "FMM"}
menuSeparator "Stand alone"
menuCommand   "Stand alone" "TOEFL" { puts "TOEFL"}
menuCommand   "Stand alone" "GRE" { puts "GRE"}
menuCommand   "Stand alone" "CAE" { puts "CAE"}
menuSeparator "Stand alone"
menuCommand   "Stand alone" "Our tests" { puts "OT"}

menuCommand   Dictionaries "First step" {puts "firstD"}
menuCommand   Dictionaries "Second step" {puts "SecondD"}
menuCommand   Dictionaries "Third step" {puts "ThirdD"}
menuSeparator Dictionaries
menuCommand   Dictionaries "You can't do without" { puts "ycdw" }
menuCommand   Dictionaries "Full" { puts "FullD" }
menuCommand   Dictionaries "Explanatopy dictinary" { puts "ExD" }

menuCommand "Make and Send" "Make exercise" {puts "Make Exersice"}
menuCommand "Make and Send"  Article {puts Article}
menuCommand "Make and Send"  "Send Exercise" {puts SEx}
menuCommand "Make and Send"  "Send Article" {puts SAr}

MenuCascade Translate "ru -> en"
menuCommand "ru -> en" word {puts "word" }
menuCommand "ru -> en" sentence {puts "sentence" }
menuCommand "ru -> en" text {puts "text" }

MenuCascade Translate "en -> ru"
menuCommand "en -> ru" word {puts "word" }
menuCommand "en -> ru" sentence {puts "sentence" }
menuCommand "en -> ru" text {puts "text" }

menuCommand "For user" "Type teacher" {puts "tt"}
menuCommand  "For user" "Memory training" { puts "mt"}
menuCommand  "For user" "Read training" { puts "rt"}
menuSeparator  "For user"
menuCommand "For user" "New User"  { puts "NUser" }
menuCommand "For user" "New Alias" { puts "NAlias" }
MenuCascade "For user" Statistics
menuCommand Statistics Full {puts "full"}
menuCommand Statistics "in detail" {puts "pd"}
menuCommand Statistics Diargams {puts "ds"}

menuCommand Options General {general 400 200}
MenuCascade Options Encoding
menuRadio Encoding "Ru KOI8"     enc KOI8 {puts "Koi8"}
menuRadio Encoding "Ru ISO"      enc ISO  {puts "ISO"}
menuRadio Encoding "Ru WIN 1251" enc 1251 {puts "1251"}
set enc KOI8
menuSeparator Options
MenuCascade Options Sound
menuRadio Sound "Off" snd off {puts "sndOff"}
menuRadio Sound "On" snd on {puts "sndOn"}
set snd off

menuCommand   Help contens {puts "contens"}
menuCommand   Help FAQ {puts "FAQ"}
menuCommand   Help "Common Errors" {puts "CEr"}
menuSeparator Help
menuCommand   Help "about program" { dial "Big Exercises English Book Version 00.00.00.01" 1000 beeb }
menuCommand   Help "about MLUG" {dial  "Moscow Linux User Group" 1000 mlug} 
menuCommand   Help "about fido7.ru.english" {dial "ru.english" 1000 ruenglish }
menuSeparator Help
menuCommand   Help Gratitudes {dial "I'm Rosy Cat thank next people for them\
 help in my work: Aleksey Ivanov, A.Artamonov from fido7.english" 500 gratitudes}

menuSeparator Help
menuCommand   Help "about me" {dial "I'm Rosy Cat. Let's be friend" 2000 rc}

wm title . "Big Exercises English book Integrated environment teacher"

#=======

frame .textFrame
scrollbar .s -orient vertical -command {.t yview} -highlightthickness 0 \
    -takefocus 1
pack .s -in .textFrame -side right -fill y
text .t -yscrollcommand {.s set} -wrap word -width 60 -height 30  \
    -setgrid 1 -highlightthickness 0 -padx 4 -pady 2 -takefocus 0
pack .t -in .textFrame -expand y -fill both -padx 1
pack  .textFrame -expand yes -fill both

.t tag configure title -font {Helvetica 18 bold}
.t tag configure demospace -lmargin1 1c -lmargin2 1c

.t tag configure demospace -lmargin1 1c -lmargin2 1c


if {[winfo depth .] == 1} {
    .t tag configure demo -lmargin1 1c -lmargin2 1c \
	-underline 1
    .t tag configure visited -lmargin1 1c -lmargin2 1c \
	-underline 1
    .t tag configure hot -background black -foreground white
} else {
    .t tag configure demo -lmargin1 1c -lmargin2 1c \
	-foreground blue -underline 1
    .t tag configure visited -lmargin1 1c -lmargin2 1c \
	-foreground #303080 -underline 1
    .t tag configure hot -foreground red -underline 1
}

#.t tag bind demo <ButtonRelease-1> {
#    invoke [.t index {@%x,%y}]
#}

set lastLine ""
.t tag bind demo <Enter> {
    set lastLine [.t index {@%x,%y linestart}]
    .t tag add hot "$lastLine +1 chars" "$lastLine lineend -1 chars"
    .t config -cursor hand2
#    showStatus [.t index {@%x,%y}]
}

.t tag bind demo <Leave> {
    .t tag remove hot 1.0 end
    .t config -cursor xterm
#    .statusBar.lab config -text ""
}
.t tag bind demo <Motion> {
    set newLine [.t index {@%x,%y linestart}]
    if {[string compare $newLine $lastLine] != 0} {
	.t tag remove hot 1.0 end
	set lastLine $newLine

	set tags [.t tag names {@%x,%y}]
	set i [lsearch -glob $tags demo-*]
	if {$i >= 0} {
	    .t tag add hot "$lastLine +1 chars" "$lastLine lineend -1 chars"
	}
    }
#    showStatus [.t index {@%x,%y}]
}

.t configure -state disabled
focus .s
after 10000 {dial "Moscow Linux User Group http://www.mlug.ru" 1000 mlug}
source iverb.tcl
source leson.tcl
source ckiv.tcl
source stiv.tcl