proc ckiv { name } { 
 if ![winfo exists .$name] then {  
global w
  set w .$name
  catch {destroy $w}
  toplevel $w
  wm title  $w "Check form"
  wm iconname $w "form"

global fr1 fr2 fr3 tlb1 tlb2 tlb3 file form
set file ""
set tlb1 ""
set tlb2 ""
set tlb3 ""

set fr1 $w.first
set fr2 $w.second
set fr3 $w.third

frame $fr1
frame $fr2
frame $fr3

label $fr1.lb1 -text First
label $fr1.lb2 -text First -width 40 -textvariable tlb1

label $fr2.lb1 -text Second 
entry $fr2.et2 -width 40 -textvariable tlb2

label $fr3.lb1 -text Third
entry $fr3.et2 -text Third -width 40 -textvariable tlb3

pack $fr1 $fr2 $fr3 -fill x 

pack $fr1.lb1 $fr2.lb1 $fr3.lb1 -side left -padx 1m -pady 1m
pack $fr1.lb2 $fr2.et2 $fr3.et2 -side right -padx 1m -pady 1m

frame $w.bt
pack $w.bt -side bottom -fill x -pady 2m
set form 1

button $w.bt.go -text Open -padx 2m -command {go $file}
button $w.bt.first -text First -padx 2m -command {pf $fr1 1}
button $w.bt.second -text Second -padx 2m -command {pf $fr2 2}
button $w.bt.third -text Third -padx 2m -command {pf $fr3 3}
button $w.bt.next -text Next -padx 2m -command {next $file}
button $w.bt.check -text Check -padx 2m -command {check}
pack $w.bt.go $w.bt.first .$name.bt.second .$name.bt.third $w.bt.next $w.bt.check -side left -expand 1

 } else { raise .$name }
}

proc pf {name var} {
global fr1 fr2 fr3 form tlb1 tlb2 tlb3
if ![winfo exists $name.lb2 ] {
destroy $name.et2
label $name.lb2 -width 40 -textvariable tlb$var
set form $var
pack $name.lb2 -side right -padx 1m -pady 1m 
}


 if [winfo exists $fr1.lb2] { 
 if { $fr1 != $name } {

  destroy $fr1.lb2
  set tlb1 ""
  entry $fr1.et2 -width 40 -textvariable tlb1
  pack  $fr1.et2 -side right -padx 1m -pady 1m 
  } } 

 if [winfo exists $fr2.lb2] { 
 if { $fr2 != $name } {

  destroy $fr2.lb2
  set tlb2 ""
  entry $fr2.et2 -width 40 -textvariable tlb2
  pack  $fr2.et2 -side right -padx 1m -pady 1m 
  } } 

 if [winfo exists $fr3.lb2] { 
 if { $fr3 != $name } {

  destroy $fr3.lb2
  set tlb3 ""
  entry $fr3.et2 -width 40 -textvariable tlb3
  pack  $fr3.et2 -side right -padx 1m -pady 1m 
  } } 

}

proc go {name} {
global w file
if { $name == ""} {
set file [open "iv.txt" r]
seek $file 0 start 
$w.bt.go configure -text Close
next $file

} else { 
close $file
set file "" 
$w.bt.go configure -text Open}
}

proc next {name} {
global tlb1 tlb2 tlb3 form xtlb1 xtlb2 xtlb3
if {$name != ""} {
set line [gets $name]
set tlb1 ""
set tlb2 ""
set tlb3 ""

if {$form == 1} { set tlb1 [string range $line 0 [expr [string first , $line]-2 ] ] }
if {$form == 2} { set tlb2 [string range $line [expr [string first , $line]+2] [expr [string last , $line]-2]]  }
if {$form == 3} { set tlb3 [string range $line [expr [string last , $line]+2] [string length $line]]  }

set xtlb1 [string range $line 0 [expr [string first , $line]-2 ] ] 
set xtlb2 [string range $line [expr [string first , $line]+2] [expr [string last , $line]-2]]
set xtlb3 [string range $line [expr [string last , $line]+2] [string length $line]]

}

}

proc check { } {
global tlb1 tlb2 tlb3 form xtlb1 xtlb2 xtlb3 w
set tst ""
if [info exist xtlb1] {
if {$tlb1 != $xtlb1} { set tst " 1th is false," } else { set tst " 1th is true,"}
if {$tlb2 != $xtlb2} { set tst [concat $tst " 2th is false,"] } else { set tst [concat $tst " 2th is true,"]}
if {$tlb3 != $xtlb3} { set tst [concat $tst " 3th is false,"] } else { set tst [concat $tst " 3th is true,"]}
wm title  $w $tst }

}
